Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util.help
Class HelpSystem

    java.lang.Object
      avrora.util.help.HelpSystem

public class HelpSystem
extends java.lang.Object

The `HelpSystem` is the global repository for help information, indexing categories for help, while each category can have sub categories, etc.

Constructor Summary
`HelpSystem()`

Method Summary
`static void` | `addCategory(java.lang.String name, java.lang.Class cz)` The `addCategory()` method adds a help category to the help system.
`static void` | `addCategory(java.lang.String name, HelpCategory cat)` The `addCategory()` method adds a help category to the help system.
`static HelpCategory` | `getCategory(java.lang.String name)` The `getCategory()` method gets a help category for the specified short name.
`static java.util.List` | `getSortedList()` The `getSortedList()` returns a sorted list of all of the help categories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpSystem

    public HelpSystem()

Method Detail

### getCategory

    public static HelpCategory getCategory(java.lang.String name)

  The `getCategory()` method gets a help category for the specified short name.

  Parameters:
    `name` - the name of the help category
  Returns:
    a help category for the specified name if it exists

### addCategory

    public static void addCategory(java.lang.String name,
                                   HelpCategory cat)

  The `addCategory()` method adds a help category to the help system.

  Parameters:
    `name` - the short name of the help category
    `cat` - the category

### addCategory

    public static void addCategory(java.lang.String name,
                                   java.lang.Class cz)

  The `addCategory()` method adds a help category to the help system.

  Parameters:
    `name` - the short name of the help category
    `cz` - the class for this help category

### getSortedList

    public static java.util.List getSortedList()

  The `getSortedList()` returns a sorted list of all of the help categories.

  Returns:
    a sorted list of all help categories

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD